Bug 998615 - RFE: systemd should report errors in [Install] section better
RFE: systemd should report errors in [Install] section better
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
rawhide
All Linux
unspecified Severity low
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 11:30 EDT by sakodak
Modified: 2016-11-03 23:30 EDT (History)
8 users (show)

See Also:
Fixed In Version: systemd-232-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 23:30:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sakodak 2013-08-19 11:30:00 EDT
Description of problem:

Attempted to create a new service and I had a typo in the "Install" stanza.  Instead of telling me there was a problem in the "Install" stanza I received the following message:

Failed to issue method call: Invalid argument

It took may way longer than was necessary to find the typo (my eyesight isn't the greatest, and I had multi-user-target instead of multi-user.target).

Version-Release number of selected component (if applicable):

systemd-204-9.fc19

How reproducible:

Always

Steps to Reproduce:
1.  Create a new service, have a typo in the WantedBy= directive in the [Install] stanza.
2.  Attempt to enable service.
3.

Actual results:

Given non-useful error message of:

Failed to issue method call: Invalid argument

Expected results:

Should say something like:

Invalid target declared in WantedBy (or something similar.)

Additional info:
Comment 1 Fedora End Of Life 2015-01-09 14:31:09 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.